# Gimp.Vector2.inner_product

    @accepts(Gimp.Vector2, Gimp.Vector2)
    @returns(float)
    def inner_product(self, vector2):
        # Python wrapper for gimp_vector2_inner_product()

Computes the inner (dot) product of two 2D vectors. This product is zero if and only if the two vectors are orthogonal.

self

  a pointer to the first Gimp.Vector2.

vector2

  a pointer to the second Gimp.Vector2.

Returns